Bug 474997 - doesn't work with rpm46?
doesn't work with rpm46?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmrebuild (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anderson Silva
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 09:46 EST by Mamoru TASAKA
Modified: 2009-01-16 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 18:46:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-12-06 09:46:18 EST
Description of problem:
Currently rpmrebuild doesn't work with rpm46.
For example:

$ LANG=C rpmrebuild zlib
error: File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/lib/libz.so.1
error: File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/lib/libz.so.1.2.3
error: File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/usr/share/doc/zlib-1.2.3
error: File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/usr/share/doc/zlib-1.2.3/ChangeLog
error: File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/usr/share/doc/zlib-1.2.3/FAQ
error: File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/usr/share/doc/zlib-1.2.3/README
    File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/lib/libz.so.1
    File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/lib/libz.so.1.2.3
    File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/usr/share/doc/zlib-1.2.3
    File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/usr/share/doc/zlib-1.2.3/ChangeLog
    File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/usr/share/doc/zlib-1.2.3/FAQ
    File not found: /home/tasaka1/rpmbuild/BUILDROOT/zlib-1.2.3-19.fc11.i386/usr/share/doc/zlib-1.2.3/README
/usr/lib/rpmrebuild/rpmrebuild.sh: ERROR: package 'zlib' build failed


Version-Release number of selected component (if applicable):
rpmrebuild-2.2.2-2.fc11.noarch
rpm-4.6.0-0.rc2.9.i386

How reproducible:
100%

Steps to Reproduce:
1. See above
2.
3.
Comment 1 Anderson Silva 2008-12-08 09:34:51 EST
I've notified upstream, we are working on a fix.
Comment 2 Anderson Silva 2008-12-08 09:43:47 EST
See
http://rpm.org/wiki/Releases/4.5.90
* BuildRoot tag in spec files is ignored.

- As I mentioned, upstream will be looking at it.
Comment 3 Fedora Update System 2009-01-14 22:05:52 EST
rpmrebuild-2.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmrebuild'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0525
Comment 4 Fedora Update System 2009-01-16 18:46:17 EST
rpmrebuild-2.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.